:: Created by: Vedachalam Vasudevan, Company - TCS
:: © Copyright. All rights reserved.
:: Date Created : 24/04/2015
:: BOBKIOSK_UPGRADE FOR PAX DEVICE

@ECHO OFF
mode con: cols=100 lines=50
REM.-- Prepare the Command Processor
SETLOCAL ENABLEEXTENSIONS
SETLOCAL ENABLEDELAYEDEXPANSION
cd /d "%~dp0"

 ::Detect Administrator Privileges  
 echo Administrative permissions required. Detecting Administrative Permissions....
 net session >nul 2>&1
 if %ERRORLEVEL%==0 (
 echo Administrative permissions detected.

 ) else (
 echo Insufficient Administrator Previledges....Please login in as Administrator.... Exiting the setup....
 pause
 exit
 )
pause

 
GOTO:Key Injection Tool DRIVER

:Key Injection Tool DRIVER
echo 1.Installing Key Injection Tool Drivers...
cd /d "%CD%\Key_Injection_Tool_V1.1.3\" 
 echo "%CD%"
pause 
call setup.exe

GOTO:Copying Encrypted File 

:Copying Encrypted File 
echo "%CD%"
cd ..
echo "%CD%"

xcopy "%CD%\*.enc" "%systemdrive%\TCS\KeyInjectionTool V1.1.3\" /I /S /Y

pause
msg * Installation done successfully.. click OK to Quit

 